[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'libtar' (#fcl)

# TFileType

File type

## Declaration

Source position: libtar.pp line 120

`type TFileType = (`
`ftNormal,` |  | Normal file
`ftLink,` |  | Hard link
`ftSymbolicLink,` |  | Symbolic link
`ftCharacter,` |  | Character device file
`ftBlock,` |  | Block device file
`ftDirectory,` |  | Directory
`ftFifo,` |  | FIFO file
`ftContiguous,` |  | Contiguous file
`ftDumpDir,` |  | List of files
`ftMultiVolume,` |  | Multi-volume file part
`ftVolumeHeader` |  | Volume header, can appear only as first entry in the archive
`);`

## Description

TFileType describes the file type of a file in the archive. It is used in the FileType field of the TTarDirRec record.

## See also

TTarDirRec |  | Tar Directory entry
TTarPermissions |  | Complete set of permissions for file
TTarModes |  | Full set of modes

Documentation generated on: Feb 26 2014